---

rules:
  braces:
    min-spaces-inside: 0
    max-spaces-inside: 1
    min-spaces-inside-empty: 0
    max-spaces-inside-empty: 0
  brackets:
    min-spaces-inside: 1
    max-spaces-inside: 1
    min-spaces-inside-empty: 0
    max-spaces-inside-empty: 0
  colons:
    max-spaces-before: 0
    max-spaces-after: 1
  commas:
    max-spaces-before: 0
    min-spaces-after: 1
    max-spaces-after: 1
  comments:
    require-starting-space: true
    min-spaces-from-content: 1
  document-end:
    present: false
  document-start:
    present: true
  empty-lines:
    max: 1
    max-start: 0
    max-end: 0
  # hypens:
  #   max-spaces-after: 1
  indentation:
    spaces: 2
    indent-sequences: false
    check-multi-line-strings: false
  key-duplicates: enable
  line-length:
    level: warning
    max: 160
    allow-non-breakable-words: true
    allow-non-breakable-inline-mappings: true
  new-line-at-end-of-file: enable
  new-lines:
    type: unix
  trailing-spaces: enable
  truthy: enable
